- NAME
- VERSION
- DESCRIPTION
- SYNOPSIS
- METHODS
  - Class Methods
    - new
    - can_color
    - set_color

# NAME

TAP::Formatter::Color - Run Perl test scripts with color

# VERSION

Version 3.38

# DESCRIPTION

Note that this harness is experimental. You may not like the colors I've chosen and I haven't yet provided an easy way to override them.

This test harness is the same as TAP::Harness, but test results are output in color. Passing tests are printed in green. Failing tests are in red. Skipped tests are blue on a white background and TODO tests are printed in white.

If Term::ANSIColor cannot be found (or Win32::Console if running under Windows) tests will be run without color.

# SYNOPSIS

     use TAP::Formatter::Color;
     my $harness = TAP::Formatter::Color->new( \%args );
     $harness->runtests(@tests);

# METHODS

## Class Methods

### `new`

The constructor returns a new `TAP::Formatter::Color` object. If Term::ANSIColor is not installed, returns undef.

### `can_color`

      Test::Formatter::Color->can_color()

Returns a boolean indicating whether or not this module can actually generate colored output. This will be false if it could not load the modules needed for the current platform.

### `set_color`

Set the output color.